<script type="text/javascript">

$(document).ready(function(){
    $("#checkall").click(function(){
        if(this.checked){
            $(".check_class").attr("checked",true);					
            $(".check_class").parent().addClass("checked");					
        }else{
            $(".check_class").attr("checked",false);					
            $(".check_class").parent().removeClass("checked");					
        }
    });
    $("#status_msg").hide();
    $("#alert_msg").hide();
});

function delete_entry(id){
  swal({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#0CC27E',
        cancelButtonColor: '#FF586B',
        confirmButtonText: 'Yes, delete it!',
        cancelButtonText: 'No, cancel!',
        confirmButtonClass: 'btn btn-success mr-5',
        cancelButtonClass: 'btn btn-danger',
        buttonsStyling: false
    }).then(function () {
        location.href = 'payClinicList.php?act=delete&id='+id;
    }, function (dismiss) {
      return false; 
    });
}
	
function change_status(id,status){

	$(".loading_image").show();
	$.ajax({
	  url: "payClinicList.php",
	  data: 'act=change_status&id='+id+'&status='+status,
	  success: function(msg){
          $("#status_msg").show();
          $("#status_msg").html("<div class='alert alert-success'><button data-dismiss='alert' class='close' type='button'>×</button>Status updated successfully...</div>");
          $("#status_msg_td").html(msg);
          hideMessage();
          if(status==0){
              $("#td_status_"+id).html("<a href=\"javascript:void(0)\" onclick=\"change_status('"+id+"','1')\" ><span class=\"badge badge-danger\">Inactive</span></a>");
          }else{
              $("#td_status_"+id).html("<a href=\"javascript:void(0)\" onclick=\"change_status('"+id+"','0')\" ><span class=\"badge badge-success\">Active</span></a>");
          }
      }
	});
}

function validate_all(act){
    var act = $("#act").val();
    if(act==''){
        $("#alert_msg").show();
        $("#alert_msg").html("<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>Please select action to apply on selected records.</div>");
        return false;
    }else if($(".check_class:checked").length == 0){
  	$("#alert_msg").show();
  	$("#alert_msg").html("<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>Please select atleast one checkbox.</div>");
        return false;
    }else{
        $("#alert_msg").hide();
    }
        
  if(act == 'delete_all'){
      var msg = 'delete';
  }else if(act == 'activate_all'){
      var msg = 'activate';
  }else{
      var msg = 'inactivate';
  }
  
    swal({
        title: 'Are you sure to '+act.replace("_"," ")+' ?',
        text: "You won't be able to revert this!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#0CC27E',
        cancelButtonColor: '#FF586B',
        confirmButtonText: 'Yes, '+msg+' it!',
        cancelButtonText: 'No, cancel!',
        confirmButtonClass: 'btn btn-success mr-5',
        cancelButtonClass: 'btn btn-danger',
        buttonsStyling: false
    }).then(function () {
        $("#action").val(act);
        $("#listFrm").submit();
    }, function (dismiss) {
      return false; 
    });
}
	
</script>

<?php
$filename=basename($_SERVER['SCRIPT_FILENAME']);
$adminlogObj = new admin_log();

if($filename == 'payClinicList.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
}
?>

<div class="breadcrumb">
    <h1>Pay Clinics</h1>
    <ul>
        <li><a href="<?php echo SITE_URL.ADMIN_DIR ?>">Dashboard</a></li>
        <li>Pay Clinic list</li>
        <li><a href="<?php echo SITE_URL."x-admin/adminloglist.php?module_id=$module_id" ?>" target="_blank">Log</a></li>
    </ul>
</div>
<div class="separator-breadcrumb border-top"></div>

<div class="row mb-4">
    <div class="col-md-12">
<form action="" method="post" id="searchFrm" name="searchFrm">
    <div class="card mb-5">
        <div class="card-body">
            <div class="row row-xs">
                    
                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" name="name" id="name"  />
                </div>

                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="email">Email</label>
                    <input type="text" class="form-control" name="email" id="email"  />
                </div>

                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="phone">Phone</label>
                    <input type="text" class="form-control" name="phone" id="phone"  />
                </div>

                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="status">Status</label>
                    <select class="form-control" id="status" name="status">
                        <option value="">Select Status</option>
                        <option value="1">Active</option>
                        <option value="0">Inactive</option>
                    </select>
                </div>

                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="">&nbsp;</label>
                    <button type="submit" name="submit" class="btn btn-primary btn-block">Search</button>
                </div>
                <div class="col-md-2 mt-3 mt-md-0">
                    <label for="">&nbsp;</label>
                    <button type="reset" name="reset" class="btn btn-primary btn-block" onClick="window.location.reload()">Reset</button>
                </div>
            </div>
        </div>
    </div>
</form>
    </div>
</div>

<div class="row mb-4">
  <div class="col-md-6">
        <select id="act" name="act" class="form-control maction">
          <option value="">Multiple action</option>              
          <option value="activate_all">Activate selected</option>
          <option value="inactivate_all">De-activate selected</option>
          <!--<option value="delete_all">Delete selected</option>-->
        </select>
        <button type="button" class="btn btn-primary m-1" onclick="return validate_all();">Apply</button>
  </div>
  <div class="col-md-6 pull-right">
      <div class="button-group">
         <a href="payClinicAdd.php" class="btn btn-dark m-1"><i class="i-Add-User"></i> Add New</a>
      </div>    
  </div>  
</div>
<div class="widget-body">
    <div class="portlet-body">
                        
    <?php echo (isset($successMsg) && $successMsg!='') ? "<div class='alert alert-success'><button data-dismiss='alert' class='close' type='button'>×</button>".base64_decode($successMsg)."</div>" : '' ; ?>
    <?php echo (isset($failedMsg) && $failedMsg!='') ? "<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>".base64_decode($failedMsg)."</div>" : '' ?>
   
    <div id="status_msg" style="display: none;"><div class="alert alert-success"><button data-dismiss='alert' class='close' type='button'>×</button>&nbsp;</div></div>
    <div id="alert_msg" style="display: none;"><div class="alert alert-danger"><button data-dismiss='alert' class='close' type='button'>×</button>&nbsp;</div></div>

    </div>
</div>



<div class="row mb-4">
    <div class="col-md-12 mb-4">
        <div class="card text-left">

            <div class="card-body">
                <div class="table-responsive">
                  <form id="listFrm" name="listFrm" action="" method="post">       
                    <input type="hidden" id="action" name="action" value="">
                    <table id="list" class="display table table-striped table-bordered" style="width:100%">
                        <thead>
                            <tr>
                                <th class="center"><input type="checkbox" name="checkall" id="checkall"></th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                    </table>
                  </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="application/javascript">
   $(document).ready(function() {
     $('#list').DataTable( { 
          "ajax": "payClinicList.php?act=load",
          "processing": true,
          "serverSide": true,
          "pageLength": 25,
                "aaSorting": [],
                "aoColumnDefs": [
                    { 'bSortable': false, 'aTargets': [0,7,8] }
                ],
          language: {
              "processing" : "<div class='loader-bubble loader-bubble-primary m-5'></div>",
              "sEmptyTable" :  "No records found."
          }
          
      } );

      //$( "form" ).on( "submit", function(e) {
        $( "#searchFrm" ).on( "submit", function(e) {
        e.preventDefault();
        
        var name = $("#name").val();
        var email = $("#email").val();
        var phone = $("#phone").val();
        var status = $("#status").val();
        
        $('#list').DataTable().destroy();
          $('#list').DataTable( { 
            "ajax": "payClinicList.php?act=load&name="+name+"&email="+email+"&phone="+phone+"&status="+status,
            "processing": true,
            "serverSide": true,
            "pageLength": 25,
                  "aaSorting": [],
                  "aoColumnDefs": [
                      { 'bSortable': false, 'aTargets': [0,7,8] }
                  ],
            language: {
                "processing" : "<div class='loader-bubble loader-bubble-primary m-5'></div>",
                "sEmptyTable" :  "No records found."
            }
            
        } );

      });
    });
</script>
